//---------------------------------------------------------------------------
#ifndef moduleservicesH
#define moduleservicesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TModuleServicesForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *tsModules;
        TTabSheet *tsCreateModule;
        TTabSheet *csCreateProject;
        TTabSheet *tsCreateProjectGroup;
        TListBox *lbModules;
        TEdit *eFindFormModule;
        TButton *bFindFormModule;
        TButton *bGetModule;
        TButton *bFindModule;
        TEdit *eFindModule;
        TTabSheet *tsMisc;
        TButton *AddFileSystem;
        TButton *RemoveFileSystem;
        TButton *FindFileSystem;
        TButton *bNewModule;
        TButton *bSaveAll;
        TButton *bCloseAll;
        TComboBox *cbCMCreatorType;
        TCheckBox *xCMExisting;
        TCheckBox *xCMUnnamed;
        TComboBox *cbCMOwner;
        TEdit *eCMFormName;
        TEdit *eCMAncestorName;
        TEdit *eCMImplFileName;
        TEdit *eCMIntfFileName;
        TCheckBox *xCMMainForm;
        TCheckBox *xCMShowForm;
        TCheckBox *xCMShowSource;
        TMemo *eCMForm;
        TMemo *eCMImpl;
        TMemo *eCMIntf;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TCheckBox *xCMUseForm;
        TCheckBox *xCMUseImpl;
        TCheckBox *xCMUseIntf;
        TButton *bCMCreateModule;
        TButton *bRefresh;
        TLabel *Label11;
        TLabel *Label12;
        TEdit *eCPOptFileName;
        TCheckBox *xCPUnnamed;
        TCheckBox *xCPExisting;
        TCheckBox *xCPShowSource;
        TButton *bCPCreateModule;
        TCheckBox *xCPUseIcon;
        TMemo *eCPOptionSource;
        TCheckBox *xCPUseOptionSource;
        TMemo *eCPSource;
        TCheckBox *xCPUseSource;
        TEdit *eCMFileSystem;
        TLabel *Label9;
        TLabel *Label7;
        TComboBox *cbCPCreatorType;
        TLabel *Label8;
        TComboBox *cbCPOwner;
        TLabel *Label10;
        TEdit *eCPFileSystem;
        TImage *iCPIcon;
        TCheckBox *xCGUseSource;
        TMemo *eCGSource;
        TComboBox *cbCGCreatorType;
        TLabel *Label13;
        TLabel *Label14;
        TComboBox *cbCGOwner;
        TLabel *Label15;
        TEdit *eCGFileSystem;
        TLabel *Label16;
        TEdit *eCGFileName;
        TCheckBox *xCGUnnamed;
        TCheckBox *xCGExisting;
        TCheckBox *xCGShowSource;
        TButton *bCGCreateModule;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *tNewModule;
        TLabel *tSaveAll;
        TLabel *tCloseAll;
        TEdit *eCMPrefix;
        TButton *bGetNewModuleAndClassName;
        TLabel *Label22;
        TEdit *eCPFileName;
        TButton *bCancel;
        TTabSheet *tsPlus;
        TEdit *eEnsureUniqueUnit;
        TEdit *eEnsureUniqueForm;
        TEdit *eEnsureUniqueDir;
        TLabel *tsEnsureUniqueUnit;
        TLabel *tsEnsureUniqueForm;
        TLabel *tsEnsureUniqueDir;
        TButton *bEnsureUniqueModule;
        TLabel *tsEnsureName;
        TEdit *eEnsureUniqueName;
        TLabel *tsEnsureType;
        TEdit *eEnsureUniqueType;
        TButton *bLookForComponent;
        void __fastcall bRefreshClick(TObject *Sender);
        void __fastcall bNewModuleClick(TObject *Sender);
        void __fastcall bSaveAllClick(TObject *Sender);
        void __fastcall bCloseAllClick(TObject *Sender);
        void __fastcall bFindFormModuleClick(TObject *Sender);
        void __fastcall bFindModuleClick(TObject *Sender);
        void __fastcall bGetNewModuleAndClassNameClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall bGetModuleClick(TObject *Sender);
        void __fastcall lbModulesDblClick(TObject *Sender);
        void __fastcall bCMCreateModuleClick(TObject *Sender);
        void __fastcall bCPCreateModuleClick(TObject *Sender);
        void __fastcall bCGCreateModuleClick(TObject *Sender);
        void __fastcall bEnsureUniqueModuleClick(TObject *Sender);
        void __fastcall bLookForComponentClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TModuleServicesForm(TComponent* Owner);
        __fastcall ~TModuleServicesForm() {ms=NULL;}
        _di_IOTAModuleServices ms;
        void __fastcall SelectModule(_di_IOTAModule m);
        _di_IOTAModule __fastcall FileNameToModule(AnsiString fn);
};
//---------------------------------------------------------------------------
extern PACKAGE TModuleServicesForm *ModuleServicesForm;
//---------------------------------------------------------------------------
#endif
